vigra - ConvexHullFeatures::Impl< T, BASE > Struct Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| ConvexHullFeatures::Impl< T, BASE > Struct Template Reference |

Result type of the covex hull feature calculation. More...

`#include <vigra/accumulator.hxx>`

Inherits BASE.

## Public Member Functions
double | convexity () const
| Convexity of the input region. More...
const point_type & | defectCenter () const
| Weighted center of mass of the convexity defects.
int | defectCount () const
| Number of convexity defects.
double | defectDisplacementMean () const
| Average displacement of the convexity defects from the input region center weighted by their size.
double | defectVolumeKurtosis () const
| Kurtosis of the volumes of the convexity defects.
double | defectVolumeMean () const
| Average volume of the convexity defects.
double | defectVolumeSkewness () const
| Skewness of the volumes of the convexity defects.
double | defectVolumeVariance () const
| Variance of the volumes of the convexity defects.
const point_type & | hullCenter () const
| Center of the convex hull of the input region.
int | hullVolume () const
| Volume of the convex hull of the input region.
const point_type & | inputCenter () const
| Center of the input region.
int | inputVolume () const
| Volume of the input region.

## Detailed Description

### template<class T, class BASE>
struct vigra::acc::ConvexHullFeatures::Impl< T, BASE >

Result type of the covex hull feature calculation.

## Member Function Documentation

double convexity | ( |  | ) | const

Convexity of the input region.

The convexity is the ratio of the input volume to the convex hull volume:

The documentation for this struct was generated from the following file:

- vigra/accumulator.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0 (Fri May 19 2017)